Bug 429641 - /sys/root/usr/src/debug is incorrectly handled
/sys/root/usr/src/debug is incorrectly handled
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Stan Cox
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 21:44 EST by Stan Cox
Modified: 2011-02-15 04:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.42 KB, patch)
2008-01-21 21:44 EST, Stan Cox
no flags Details | Diff
reproducer. This semi-automated test will be added to the testsuite as an automated test. (935 bytes, application/x-sh)
2008-01-21 21:48 EST, Stan Cox
no flags Details
tweaked the reproducer to use debugedit (878 bytes, application/x-sh)
2008-01-22 14:27 EST, Stan Cox
no flags Details

  None (edit)
Description Stan Cox 2008-01-21 21:44:26 EST
Description of problem:
This patch backs out an unnecessary patch that causes sysroot source filename
generation to be mishandled.  

Risk of applying change:
None.  This change reverts a change to DebugInfoFrame.java.

Risk of not applying change:
High for situations where fhpd -sysroot is used.

Steps to Reproduce:
1. Run the reproducer script test-sysroot.sh on an unpatched fhpd

Actual results:
Error: file .../tstsysroot.c not found

Expected results:
     1   int main ()
->   2   {
     3     int x = 1;
     4     return x;
     5   }



Additional info:
Comment 1 Stan Cox 2008-01-21 21:44:26 EST
Created attachment 292442 [details]
patch
Comment 2 Stan Cox 2008-01-21 21:48:56 EST
Created attachment 292443 [details]
reproducer.  This semi-automated test will be added to the testsuite as an automated test.
Comment 3 Stan Cox 2008-01-22 14:27:06 EST
Created attachment 292549 [details]
tweaked the reproducer to use debugedit
Comment 4 Andrew Cagney 2008-01-24 09:23:18 EST
can you post more of a transcript; the bug only occurs when -sysroot is used?
Comment 5 Stan Cox 2008-02-07 15:11:14 EST
The bug only occurs when listing a sourcefile when -sysroot is given where the
pathname is an absolute pathname.  The file will not be listed as the filename
is incorrect.

Note You need to log in before you can comment on or make changes to this bug.